GET
/
cards
/
search
Search cards
curl --request GET \
  --url https://api.next.orenda.finance/cards/search \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.next.orenda.finance/cards/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://api.next.orenda.finance/cards/search"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "success": true,
  "result": {
    "total": 1,
    "data": [
      {
        "cardId": "a6b7c8d9-5555-4f6a-8b7c-ddddeeeeffff",
        "customerId": "c9f8e7d6-1111-4b2c-8d3e-444455556666",
        "accountProviderAccountId": "ACC-558201",
        "maskedPan": "XXXXXXXXXXXX2049",
        "cardType": "VIRTUAL",
        "status": "ACTIVE",
        "currency": "EUR",
        "provider": "monavate",
        "limitGroupId": "lg-standard"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

programId
string
required

The program to scope results to. Required unless allPrograms=true is passed. Multi-program operators are bounded to their entitled programs.

customerId
string

Filter by customer ID. Comma-separated for multi-select.

keyword
string

Free-text search across indexed fields.

page
integer
default:1

1-based page number. Defaults to 1.

Required range: x >= 1
limit
integer

Maximum number of items per page.

Required range: x >= 1
allPrograms
enum<string>

When true, searches across all of the operator's entitled programs instead of a single programId.

Available options:
true,
false
status
string

Filter by status. Comma-separated for multi-select.

resultType
enum<string>
default:json

Result format. json (default) returns inline results; file returns a presigned S3 CSV URL (valid 1 hour) in place of the data array.

Available options:
json,
file
filePrefix
string

Customises the filename of the exported CSV when resultType=file.

id
string

Filter by card ID. Comma-separated for multi-select.

provider
string

Filter by card provider. Comma-separated for multi-select.

currency
string

Filter by currency (ISO 4217). Comma-separated for multi-select.

limitGroupId
string

Filter by card limit-group ID. Comma-separated for multi-select.

Response

Matching cards, or a presigned export URL when resultType=file.

Inline JSON results, or — when resultType=file — a presigned CSV export URL.

success
boolean
Example:

true

result
object